package it.integry.integrywmsnative.core.model;

import androidx.annotation.NonNull;

import java.math.BigDecimal;

public class JtbFasi extends EntityBase {

    private String codJfas;
    private String codJfasParent;
    private String descrizione;
    private String descrizEstesa;
    private String codMfas;
    private String pathIcona;
    private String umAllocazione;
    private BigDecimal maxAllocazione;
    private String codJCal;
    private String idJfas;
    private String flagAttivo;
    private String flagCheck;
    private String umProd;
    private BigDecimal prodStd;
    private String codMdepLav;
    private String tipoProd;

    public JtbFasi() {
        this.type = "jtb_fasi";
    }

    public String getCodJfas() {
        return codJfas;
    }

    public JtbFasi setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodJfasParent() {
        return codJfasParent;
    }

    public JtbFasi setCodJfasParent(String codJfasParent) {
        this.codJfasParent = codJfasParent;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public JtbFasi setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getDescrizEstesa() {
        return descrizEstesa;
    }

    public JtbFasi setDescrizEstesa(String descrizEstesa) {
        this.descrizEstesa = descrizEstesa;
        return this;
    }

    public String getCodMfas() {
        return codMfas;
    }

    public JtbFasi setCodMfas(String codMfas) {
        this.codMfas = codMfas;
        return this;
    }

    public String getPathIcona() {
        return pathIcona;
    }

    public JtbFasi setPathIcona(String pathIcona) {
        this.pathIcona = pathIcona;
        return this;
    }

    public String getUmAllocazione() {
        return umAllocazione;
    }

    public JtbFasi setUmAllocazione(String umAllocazione) {
        this.umAllocazione = umAllocazione;
        return this;
    }

    public BigDecimal getMaxAllocazione() {
        return maxAllocazione;
    }

    public JtbFasi setMaxAllocazione(BigDecimal maxAllocazione) {
        this.maxAllocazione = maxAllocazione;
        return this;
    }

    public String getCodJCal() {
        return codJCal;
    }

    public JtbFasi setCodJCal(String codJCal) {
        this.codJCal = codJCal;
        return this;
    }

    public String getIdJfas() {
        return idJfas;
    }

    public JtbFasi setIdJfas(String idJfas) {
        this.idJfas = idJfas;
        return this;
    }

    public String getFlagAttivo() {
        return flagAttivo;
    }

    public JtbFasi setFlagAttivo(String flagAttivo) {
        this.flagAttivo = flagAttivo;
        return this;
    }

    public String getFlagCheck() {
        return flagCheck;
    }

    public JtbFasi setFlagCheck(String flagCheck) {
        this.flagCheck = flagCheck;
        return this;
    }

    public String getUmProd() {
        return umProd;
    }

    public JtbFasi setUmProd(String umProd) {
        this.umProd = umProd;
        return this;
    }

    public BigDecimal getProdStd() {
        return prodStd;
    }

    public JtbFasi setProdStd(BigDecimal prodStd) {
        this.prodStd = prodStd;
        return this;
    }

    public String getCodMdepLav() {
        return codMdepLav;
    }

    public JtbFasi setCodMdepLav(String codMdepLav) {
        this.codMdepLav = codMdepLav;
        return this;
    }

    public String getTipoProd() {
        return tipoProd;
    }

    public JtbFasi setTipoProd(String tipoProd) {
        this.tipoProd = tipoProd;
        return this;
    }


    @NonNull
    @Override
    public String toString() {
        return String.format("%s - %s", getCodJfas(), getDescrizione());
    }
}
